EventListenerSupport.ProxyInvocationHandler
Date: 2017-02-08

org.apache.commons.lang3.event

## Class EventListenerSupport.ProxyInvocationHandler

- java.lang.Object
- - org.apache.commons.lang3.event.EventListenerSupport.ProxyInvocationHandler

- All Implemented Interfaces:
    java.lang.reflect.InvocationHandler
  Enclosing class:
    EventListenerSupport<L>

      protected class EventListenerSupport.ProxyInvocationHandler
      extends java.lang.Object
      implements java.lang.reflect.InvocationHandler

  An invocation handler used to dispatch the event(s) to all the listeners.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EventListenerSupport.ProxyInvocationHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object unusedProxy, java.lang.reflect.Method method, java.lang.Object[] args)` Propagates the method call to all registered listeners in place of the proxy listener object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventListenerSupport.ProxyInvocationHandler

          protected EventListenerSupport.ProxyInvocationHandler()

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke(java.lang.Object unusedProxy,
                                java.lang.reflect.Method method,
                                java.lang.Object[] args)
                                  throws java.lang.Throwable

      Propagates the method call to all registered listeners in place of the proxy listener object.
      Specified by:
        `invoke` in interface `java.lang.reflect.InvocationHandler`
      Parameters:
        `unusedProxy` - the proxy object representing a listener on which the invocation was called; not used
        `method` - the listener method that will be called on all of the listeners.
        `args` - event arguments to propagate to the listeners.
      Returns:
        the result of the method call
      Throws:
        `java.lang.Throwable` - if an error occurs